Name:		openvas-client
Summary:	Client component of Open Vulnerability Assessment (OpenVAS) Scanner
Version:	3.0.2
Release:	1%{?dist}
Source0:	http://wald.intevation.org/frs/download.php/802/openvas-client-3.0.2.tar.gz
Source1:	openvas-client.desktop
#file with cflags is not referenced in Makefile correctly for build
#Patch reported to upstream
#http://wald.intevation.org/tracker/index.php?func=detail&aid=1489&group_id=29&atid=220
URL:		http://www.openvas.org
License:	GPLv2 and GPLv2+
Group:		Applications/System
Requires:	htmldoc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	openvas-libraries-devel >= 3.0
BuildRequires:	cmake >= 2.6.0
BuildRequires:	desktop-file-utils
BuildRequires:	glibc-devel
BuildRequires:	glib2-devel
BuildRequires:	zlib-devel
BuildRequires:	gtk2-devel
BuildRequires:	gpgme-devel
BuildRequires:	gnutls-devel
BuildRequires:	openssl-devel
BuildRequires:	libuuid-devel
BuildRequires:	atk-devel
BuildRequires:	pango-devel
BuildRequires:	cairo-devel
BuildRequires:	freetype-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libpcap-devel
BuildRequires:	libgcrypt-devel


%description
OpenVAS-Client is a client component that is used to access and control
OpenVAS server. It is also used to perform analysis task of results
provided by the server component.

%prep
%setup -q

for i in CHANGES ChangeLog TODO; do
	iconv -f iso8859-1 -t utf-8 $i > $i.utf8 && \
	touch -r $i $i.utf8 && \
	mv -f $i.utf8 $i;
done;

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Fix permission on configuration file
chmod 644 %{buildroot}/%{_sysconfdir}/openvas/openvas-client_log.conf

# Install desktop entry
desktop-file-install --dir %{buildroot}/%{_datadir}/applications %{SOURCE1} 

# Remove RPM script creator beacuse it's not necessary
rm -rf %{buildroot}/%{_datadir}/openvas

# Add symlinks for lowercase binary name and manual page name
pushd %{buildroot}/%{_bindir}/
ln -s OpenVAS-Client openvas-client
cd %{buildroot}/%{_mandir}/man1/
ln -s OpenVAS-Client.1.gz openvas-client.1.gz
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog CHANGES COPYING COPYING.README README TODO
%dir %{_sysconfdir}/openvas
%config(noreplace) %{_sysconfdir}/openvas/openvas-client_log.conf
%{_bindir}/OpenVAS-Client
%{_bindir}/openvas-client
%{_mandir}/man1/OpenVAS-Client.1.*
%{_mandir}/man1/openvas-client.1.*
%{_datadir}/applications/*

%changelog
* Tue Nov 23 2010 Stjepan Gros <stjepan.gros@gmail.com> - 3.0.2-1
- Synced with latest stable upstream release
- Removed patches because upstream applied them

* Sun Jul 18 2010 Xavier Bachelot <xavier@bachelot.org> - 3.0.0-8
- Remove useless BR: gdk-pixbuf-devel.

* Thu Jun  3 2010 Stjepan Gros <stjepan.gros@gmail.com> - 3.0.0-7
- Fixed license and source tags

* Wed May 05 2010 Michal Ambroz <rebus AT, seznam.cz> - 3.0.0-6
- Build dependency to zlib-devel, gtk-devel and others ...
- Patched Makefiles for cflags file dependency

* Sun Apr 18 2010 Stjepan Gros <stjepan.gros@gmail.com> - 3.0.0-5
- Renamed OpenVAS.desktop into openvas-client.desktop
- Added that the package requires htmldoc
- Added patch from upstream to prevent crash when generating pdf report from empty log
- Added symlink to lower case binary and manual page names
- Changed ownership of /etc/openvasd back to the client

* Wed Mar  3 2010 Stjepan Gros <stjepan.gros@gmail.com> - 3.0.0-4
- Changes based on the comments in
  https://bugzilla.redhat.com/show_bug.cgi?id=562470#c4

* Fri Feb 26 2010 Stjepan Gros <stjepan.gros@gmail.com> - 3.0.0-3
- Added cmake BR
- Changes based on the comments in
  https://bugzilla.redhat.com/show_bug.cgi?id=562470#c2

* Sun Feb  7 2010 Stjepan Gros <stjepan.gros@gmail.com> - 3.0.0-2
- Removed vendor tag in desktop file install
- Added BR for glib2

* Sat Feb  6 2010 Stjepan Gros <stjepan.gros@gmail.com> - 3.0.0-1
- Updated spec file for OpenVAS-Client version 3

* Tue Nov 17 2009 Stjepan Gros <stjepan.gros@gmail.com> - 2.0.5-1
- Minor changes from taken from Xavier Bachelot <xavier@bachelot.org>
- Initial spec file
